=head1 NAME

Gnome2::VFS::Mime

=cut

=for object Gnome2::VFS::Mime
=cut




=head1 METHODS

=head2 boolean = Gnome2::VFS::Mime-E<gt>B<id_in_application_list> ($id, ...)

=over

=item * $id (string) 

=item * ... (list) of GnomeVFSMimeApplication's

=back




=head2 list = Gnome2::VFS::Mime-E<gt>B<id_list_from_application_list> (...)

=over

=item * ... (list) of GnomeVFSMimeApplication's

=back



Returns a list of application id's.


=head2 string = Gnome2::VFS-E<gt>B<get_mime_type_for_data> ($data)

=over

=item * $data (scalar) 

=back

=head2 string = Gnome2::VFS-E<gt>B<get_mime_type_for_name_and_data> ($filename, $data)

=over

=item * $filename (string) 

=item * $data (scalar) 

=back

Since: vfs 2.14

=head2 string = Gnome2::VFS-E<gt>B<get_mime_type_for_name> ($filename)

=over

=item * $filename (string) 

=back

Since: vfs 2.14

=head2 string = Gnome2::VFS-E<gt>B<get_mime_type> ($text_uri)

=over

=item * $text_uri (string) 

=back

=head2 list = Gnome2::VFS::Mime-E<gt>B<remove_application_from_list> ($application_id, ...)

=over

=item * $application_id (string) 

=item * ... (list) of GnomeVFSMimeApplication's

=back



Returns a boolean indicating whether anything was removed and the resulting
list of GnomeVFSMimeApplication's.


=head2 string = Gnome2::VFS-E<gt>B<get_slow_mime_type> ($text_uri)

=over

=item * $text_uri (string) 

=back

Since: vfs 2.14



=cut


=head1 SEE ALSO

L<Gnome2::VFS>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2007, 2013 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::VFS> for a full notice.



=cut

